com.google.gwt.i18n.client.constants

## Interface NumberConstants

All Known Subinterfaces:
  NumberConstantsImpl

    public interface NumberConstants

NumberConstants class encapsulate a collection of Number formatting symbols for use with Number format and parse services. This class extends GWT's Constants class. The actual symbol collections are defined in a set of property files named like "NumberConstants_xx.properties". GWT will will perform late binding to the property file that specific to user's locale. If you previously were using GWT.create on this interface, you should use LocaleInfo.getCurrentLocale().getNumberConstants() instead.

### Method Summary

All Methods Instance Methods Abstract Methods
`java.lang.String` `currencyPattern()`
`java.lang.String` `decimalPattern()`
`java.lang.String` `decimalSeparator()`
`java.lang.String` `defCurrencyCode()`
`java.lang.String` `exponentialSymbol()`
`java.lang.String` `globalCurrencyPattern()`
`java.lang.String` `groupingSeparator()`
`java.lang.String` `infinity()`
`java.lang.String` `minusSign()`
`java.lang.String` `monetaryGroupingSeparator()`
`java.lang.String` `monetarySeparator()`
`java.lang.String` `notANumber()`
`java.lang.String` `percent()`
`java.lang.String` `percentPattern()`
`java.lang.String` `perMill()`
`java.lang.String` `plusSign()`
`java.lang.String` `scientificPattern()`
`java.lang.String` `simpleCurrencyPattern()`
`java.lang.String` `zeroDigit()`

### Method Detail

#### notANumber

    java.lang.String notANumber()

#### currencyPattern

    java.lang.String currencyPattern()

#### decimalPattern

    java.lang.String decimalPattern()

#### decimalSeparator

    java.lang.String decimalSeparator()

#### defCurrencyCode

    java.lang.String defCurrencyCode()

#### exponentialSymbol

    java.lang.String exponentialSymbol()

#### globalCurrencyPattern

    java.lang.String globalCurrencyPattern()

#### groupingSeparator

    java.lang.String groupingSeparator()

#### infinity

    java.lang.String infinity()

#### minusSign

    java.lang.String minusSign()

#### monetaryGroupingSeparator

    java.lang.String monetaryGroupingSeparator()

#### monetarySeparator

    java.lang.String monetarySeparator()

#### percent

    java.lang.String percent()

#### percentPattern

    java.lang.String percentPattern()

#### perMill

    java.lang.String perMill()

#### plusSign

    java.lang.String plusSign()

#### scientificPattern

    java.lang.String scientificPattern()

#### simpleCurrencyPattern

    java.lang.String simpleCurrencyPattern()

#### zeroDigit

    java.lang.String zeroDigit()